Bug 1226979 - Fedora-Cloud-Base-22-20150521.x86_64.qcow2 image is NOT qcow2, can't be launched by libvirt
Summary: Fedora-Cloud-Base-22-20150521.x86_64.qcow2 image is NOT qcow2, can't be launc...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 22
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: kushaldas@gmail.com
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1230914
TreeView+ depends on / blocked
 
Reported: 2015-06-01 15:11 UTC by Dan Yocum
Modified: 2016-07-19 18:53 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1230912 1230914 (view as bug list)
Environment:
Last Closed: 2016-07-19 18:53:34 UTC


Attachments (Terms of Use)

Description Dan Yocum 2015-06-01 15:11:22 UTC
Description of problem:

[root@stor01 kvm-guests]# qemu-img info Fedora-Cloud-Base-22-20150521.x86_64.qcow2 
'image' uses a qcow2 feature which is not supported by this qemu version: QCOW version 3
Could not open 'Fedora-Cloud-Base-22-20150521.x86_64.qcow2': Operation not supported
[root@stor01 kvm-guests]# rpm -qf `which qemu-img`
qemu-img-rhev-0.12.1.2-2.448.el6_6.3.x86_64


If it's a qcow3 image, then don't use the qcow2 suffix.


NB: this is NOT a cloud-init issue, but I can't find the right component to assign this BZ.

Comment 1 Matthew Miller 2015-06-01 15:17:49 UTC
I don't think we have a Fedora Cloud component, yet... reassigning just to 'distribution' in the meantime (and kicking assignment over to Kushal....)

Comment 2 kushaldas@gmail.com 2015-06-01 18:35:24 UTC
I can verify this. Downloaded http://alt.fedoraproject.org/pub/fedora/linux/releases/22/Cloud/x86_64/Images/Fedora-Cloud-Base-22-20150521.x86_64.qcow2 image.

# qemu-img info Fedora-Cloud-Base-22-20150521.x86_64.qcow2 
image: Fedora-Cloud-Base-22-20150521.x86_64.qcow2
file format: qcow2
virtual size: 3.0G (3221225472 bytes)
disk size: 218M
cluster_size: 65536
Format specific information:
    compat: 1.1
    lazy refcounts: false

The compat version is supposed to be 0.10 for qcow2 image.

One can do that by the following command (I am on Fedora 21).

# qemu-img amend -f qcow2 -o compat=0.10 Fedora-Cloud-Base-22-20150521.x86_64.qcow2

# rpm -qf `which qemu-img`
qemu-img-2.1.3-2.fc21.x86_64

Comment 3 Ian McLeod 2015-06-01 19:32:16 UTC
So, as Dennis has pointed out, this is a result of a qemu-img callout that koji does when qcow2 is requested as an image format.  qemu-img, in turn, has defaulted to the "v3" or "enhanced v2" (whatever confusing thing you want to call it) since, I believe, around the 2.0 timeframe.

We have some code in Image Factory that determines if the qemu-img command supports the backwards compat option and, if so, uses it to ensure that the output image is qcow2 v2 compatible:

https://github.com/redhat-imaging/imagefactory/blob/master/imgfac/FactoryUtils.py#L315

I can adapt this to a patch for koji if there is interest in that.

More urgently, is there any way we can produce an errata or additional image for those who are in an environment that does not support v3?  (The issue here is that anyone whose primary environment is confused by v3 is unlikely to have an easy way to install a qemu-img command that is capable of doing the downconversion).

Comment 4 Matthew Miller 2015-06-01 20:20:41 UTC
The raw.xz file should work as a workaround, right? Not that that's beautiful in cases where it has to be unxz'd and/or cases where sparse files aren't supported.

Comment 5 Dan Yocum 2015-06-01 21:06:48 UTC
green - is this sol'n acceptable to you for OS1?  See previous comments...

Comment 6 Anthony Green 2015-06-01 21:12:43 UTC
(In reply to Dan Yocum from comment #5)
> green - is this sol'n acceptable to you for OS1?  See previous comments...

I tried that this AM.   When I try to boot the instance it complains about there being no bootable device.

Comment 7 Dusty Mabe 2015-06-11 18:42:56 UTC
We have discussed this in Fedora Cloud WG and want to release a qcow2 v2 disk as part of our updated image release process for F22. 

See https://fedorahosted.org/cloud/ticket/94

Comment 8 Matthew Miller 2015-08-10 13:31:39 UTC
The openstack people would like this very much. :)

Comment 9 Dan Yocum 2015-08-12 13:38:41 UTC
The work-around is to issue the following command on a Fedora 21 or 22 system:

qemu-img amend -f qcow2 -o compat=0.10 \
Fedora-Cloud-Base-22-20150521.x86_64.qcow2

But, as Ian points out in comment 3, users confused by this may be unlikely to have an F21/22 system to run this command.

Comment 10 Fedora End Of Life 2016-07-19 18:53:34 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.